pskb_trim_rcsum
Prev | Socket Buffer Functions | Next

## Name

pskb_trim_rcsum — trim received skb and update checksum

## Synopsis

`int pskb_trim_rcsum (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to trim

`len`

  new length

## Description

This is exactly the same as pskb_trim except that it ensures the checksum of received packets are still valid after the operation.

Prev | Up | Next
skb_postpull_rcsum | Home | skb_get_timestamp